# Gst::MessageTag Class Reference

A tag message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageTag:
[legend]

List of all members.

## Public Member Functions

| MessageTag (GstMessage* castitem)
void | parse (Glib::RefPtr< Gst::Pad >& pad, Gst::TagList& tag_list) const
| Extracts the Gst::Pad and Gst::TagList from the Gst::MessageTag.
Gst::TagList | parse () const
| Extracts and returns the Gst::TagList from the Gst::MessageTag.
Glib::RefPtr< Gst::Pad > | parse_pad () const
| Extracts and returns the Gst::Pad from the Gst::MessageTag.

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, const Gst::TagList& taglist)
| Create a new tag message.
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, const Glib::RefPtr< Gst::Pad >& pad, const Gst::TagList& taglist)
| Create a new tag message.

## Detailed Description

A tag message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageTag::MessageTag | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageTag::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | const Glib::RefPtr< Gst::Pad >& | pad,
|  | const Gst::TagList& | taglist |
| ) |  |  | `[static]`

Create a new tag message.

The taglist will be copied. The message is posted by elements that discovered a new taglist.

Parameters:

  | src | The object originating the message.
  | pad | The originating pad for the tag.
  | tag_list | The tag list for the message.

Returns:
  The new tag message. MT safe.

Since 0.10.24.

static Glib::RefPtr<Gst::Message> Gst::MessageTag::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | const Gst::TagList& | taglist |
| ) |  |  | `[static]`

Create a new tag message.

The taglist will be copied. The message is posted by elements that discovered a new taglist.

Parameters:

  | src | The object originating the message.
  | tag_list | The tag list for the message.

Returns:
  The new tag message. MT safe.

Gst::TagList Gst::MessageTag::parse | ( |  | ) | const

Extracts and returns the Gst::TagList from the Gst::MessageTag.

MT safe.

Returns:
  A copy of the Gst::TagList.

void Gst::MessageTag::parse | ( | Glib::RefPtr< Gst::Pad >& | pad,
|  | Gst::TagList& | tag_list |
| ) |  |  | const

Extracts the Gst::Pad and Gst::TagList from the Gst::MessageTag.

MT safe.

Parameters:

  | pad | Location where the originating pad is stored.
  | tag_list | Location for the tag-list.

Since 0.10.24.

Glib::RefPtr<Gst::Pad> Gst::MessageTag::parse_pad | ( |  | ) | const

Extracts and returns the Gst::Pad from the Gst::MessageTag.

MT safe.

Returns:
  The Gst::Pad.

Since 0.10.24.

The documentation for this class was generated from the following file:

- gstreamermm/message.h